## django-redis 4.10.0

=== doc/Makefile ===
all: doc

doc:
	mkdir -p dist/latest/
	asciidoctor -a docinfo -a stylesheet! -o dist/latest/index.html content.adoc

github: doc
	ghp-import -m "Generate documentation" -b gh-pages dist/
	git push origin gh-pages

## django-redis 4.7.0

=== debian/changelog ===
django-redis (4.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 06 Jan 2017 00:27:05 -0500

django-redis (4.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #810733)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Nov 2016 08:09:48 -0500

=== debian/control ===
Source: django-redis
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>, Michael Fladischer <fladi@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://github.com/niwinz/django-redis
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-redis.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-redis.git

Package: python-django-redis
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Description: Redis cache backend for Django (Python 2)
 django-redis is a full featured Redis cache/session backend for Django. It
 provides several features to fully utilize Redis:
  * Pluggable clients.
  * Pluggable parsers.
  * Pluggable serializers.
  * Master-Slave support in the default client.
  * Supports infinite timeouts.
  * Facilities for raw access to Redis client/connection pool.
  * Highly configurable (can emulate memcached exception behavior, for example).
  * Unix sockets supported by default.
 .
 This is the Python 2 version of the package.

Package: python3-django-redis
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: Redis cache backend for Django (Python 3)
 django-redis is a full featured Redis cache/session backend for Django. It
 provides several features to fully utilize Redis:
  * Pluggable clients.
  * Pluggable parsers.
  * Pluggable serializers.
  * Master-Slave support in the default client.
  * Supports infinite timeouts.
  * Facilities for raw access to Redis client/connection pool.
  * Highly configurable (can emulate memcached exception behavior, for example).
  * Unix sockets supported by default.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-redis

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	# Tests needs django configured, let's not for now.

=== debian/watch ===
version=3
http://pypi.debian.net/django-redis/django-redis-([0-9][0-9\.\-]*).tar.gz

## django-redis 4.8.0

=== debian/changelog ===
django-redis (4.8.0-1) unstable; urgency=low

  * Upload to unstable.
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Thu, 22 Jun 2017 08:38:23 +0200

django-redis (4.8.0-1~exp1) experimental; urgency=low

  * New upstream release.
  * Set Build-Depends on debhelper to be (>= 9) because compat is 9.
  * Disable tests the pybuild way.
  * Reformat packaging files with cme for better readability.

 -- Michael Fladischer <fladi@debian.org>  Fri, 12 May 2017 17:12:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: django-redis
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Scott Kitterman <scott@kitterman.com>,
+           Michael Fladischer <fladi@debian.org>
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Scott Kitterman <scott@kitterman.com>, Michael Fladischer <fladi@debian.org>
-Build-Depends:
- debhelper (>= 9~),
- dh-python,
- python-all,
- python-setuptools,
- python3-all,
- python3-setuptools,
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python-all,
+               python-setuptools,
+               python3-all,
+               python3-setuptools
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-redis.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-redis.git
 Homepage: https://github.com/niwinz/django-redis
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-redis.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-redis.git
 
 Package: python-django-redis
 Architecture: all
-Depends:
- ${misc:Depends},
- ${python:Depends}
+Depends: ${misc:Depends},
+         ${python:Depends}
 Description: Redis cache backend for Django (Python 2)
  django-redis is a full featured Redis cache/session backend for Django. It
  provides several features to fully utilize Redis:
@@ -36,9 +35,8 @@
 
 Package: python3-django-redis
 Architecture: all
-Depends:
- ${misc:Depends},
- ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Description: Redis cache backend for Django (Python 3)
  django-redis is a full featured Redis cache/session backend for Django. It
  provides several features to fully utilize Redis:

## django-redis 4.9.0

=== debian/changelog ===
django-redis (4.9.0-1) unstable; urgency=low

  [ Scott Kitterman ]
  * Add missing depends on python/python3-django

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Michael Fladischer ]
  * New upstream release.
  * Always use pristine-tar.
  * Bump debhelper compatibility and version to 11.
  * Enable autopkgtest-pkg-python testsuite.
  * Bump Standards-Version to 4.1.3.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Sat, 03 Mar 2018 19:40:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,29 @@
 Source: django-redis
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Scott Kitterman <scott@kitterman.com>,
-           Michael Fladischer <fladi@debian.org>
+Uploaders:
+ Scott Kitterman <scott@kitterman.com>,
+ Michael Fladischer <fladi@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-python,
-               python-all,
-               python-setuptools,
-               python3-all,
-               python3-setuptools
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-redis.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-redis.git
+Build-Depends:
+ debhelper (>= 11),
+ dh-python,
+ python-all,
+ python-setuptools,
+ python3-all,
+ python3-setuptools,
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/python-team/modules/django-redis
+Vcs-Git: https://salsa.debian.org/python-team/modules/django-redis.git
 Homepage: https://github.com/niwinz/django-redis
+Testsuite: autopkgtest-pkg-python
 
 Package: python-django-redis
 Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends}
+Depends:
+ python-django,
+ ${misc:Depends},
+ ${python:Depends},
 Description: Redis cache backend for Django (Python 2)
  django-redis is a full featured Redis cache/session backend for Django. It
  provides several features to fully utilize Redis:
@@ -35,8 +40,10 @@
 
 Package: python3-django-redis
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ python3-django,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Redis cache backend for Django (Python 3)
  django-redis is a full featured Redis cache/session backend for Django. It
  provides several features to fully utilize Redis:

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-redis
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
https://pypi.debian.net/django-redis/django-redis-([0-9][0-9\.\-]*).tar.gz

## django-redis 4.10.0

=== debian/changelog ===
django-redis (4.10.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jul 2019 14:45:34 +0200

django-redis (4.10.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.2.1.

 -- Michael Fladischer <fladi@debian.org>  Wed, 28 Nov 2018 20:39:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,37 +6,15 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
- python-all,
- python-setuptools,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-redis
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-redis.git
 Homepage: https://github.com/niwinz/django-redis
 Testsuite: autopkgtest-pkg-python
-
-Package: python-django-redis
-Architecture: all
-Depends:
- python-django,
- ${misc:Depends},
- ${python:Depends},
-Description: Redis cache backend for Django (Python 2)
- django-redis is a full featured Redis cache/session backend for Django. It
- provides several features to fully utilize Redis:
-  * Pluggable clients.
-  * Pluggable parsers.
-  * Pluggable serializers.
-  * Master-Slave support in the default client.
-  * Supports infinite timeouts.
-  * Facilities for raw access to Redis client/connection pool.
-  * Highly configurable (can emulate memcached exception behavior, for example).
-  * Unix sockets supported by default.
- .
- This is the Python 2 version of the package.
 
 Package: python3-django-redis
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-redis
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

## django-redis 4.11.0

=== debian/changelog ===
django-redis (4.11.0-1) unstable; urgency=medium

  * New upstream release
  * Update previous d/changelog entry to correctly reflect team upload
  * Bump standards version to 4.4.1 without further change
  * Disable dh_python3 dependency guessing and manually specify in d/control
    so correct dependencies are reflected in the binary

 -- Scott Kitterman <scott@kitterman.com>  Mon, 06 Jan 2020 09:31:23 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-redis
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-redis.git
 Homepage: https://github.com/niwinz/django-redis
@@ -19,7 +19,8 @@
 Package: python3-django-redis
 Architecture: all
 Depends:
- python3-django,
+ python3-django (>= 2:2.2),
+ python3-redis,
  ${misc:Depends},
  ${python3:Depends},
 Description: Redis cache backend for Django (Python 3)

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_python3:
+	dh_python3 --no-guessing-deps

## django-redis 4.12.1

=== debian/changelog ===
django-redis (4.12.1-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.5.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Jun 2020 01:23:24 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-redis
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-redis.git
 Homepage: https://github.com/niwinz/django-redis

## django-redis 5.2.0

=== debian/changelog ===
django-redis (5.2.0-1) unstable; urgency=low

  * New upstream release.
  * Add myself to d/copyright.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Thu, 06 Jan 2022 14:22:05 +0000

django-redis (5.1.0-1) unstable; urgency=low

  * New upstream release.
  * Depend on python3-all for autopkgtests.
  * Depend on python3-pytest-mock for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Mon, 06 Dec 2021 08:55:55 +0000

django-redis (5.0.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.1.
  * Set Rules-Requires-Root: no.
  * Use uscan version 4.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Fri, 10 Sep 2021 20:06:51 +0000

=== debian/control ===
Source: django-redis
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Scott Kitterman <scott@kitterman.com>,
 Michael Fladischer <fladi@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.0.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-redis
Vcs-Git: https://salsa.debian.org/python-team/packages/django-redis.git
Homepage: https://github.com/niwinz/django-redis
Rules-Requires-Root: no

Package: python3-django-redis
Architecture: all
Depends:
 python3-django (>= 2:2.2),
 python3-redis,
 ${misc:Depends},
 ${python3:Depends},
Description: Redis cache backend for Django (Python 3)
 django-redis is a full featured Redis cache/session backend for Django. It
 provides several features to fully utilize Redis:
  * Pluggable clients.
  * Pluggable parsers.
  * Pluggable serializers.
  * Master-Replica support in the default client.
  * Supports infinite timeouts.
  * Facilities for raw access to Redis client/connection pool.
  * Highly configurable (can emulate memcached exception behavior, for example).
  * Unix sockets supported by default.
 .
 This is the Python 3 version of the package.

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-django,
 python3-msgpack,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-django,
 python3-pytest-mock,
 python3-redis,
 redis-server,
 @,
 @builddeps@,
Restrictions: allow-stderr

## django-redis 5.3.0

=== debian/changelog ===
django-redis (5.3.0-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Remove myself from uploaders

  [ Michael Fladischer ]
  * New upstream version 5.3.0
  * Bump Standards-Version to 4.6.2.
  * Update d/copyright with new years.
  * Build using pybuild-plugin-pyproject.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Jun 2023 08:05:41 +0000

## django-redis 5.4.0

=== debian/changelog ===
django-redis (5.4.0-1) unstable; urgency=medium

  * New upstream version 5.4.0

 -- Michael Fladischer <fladi@debian.org>  Fri, 13 Oct 2023 20:18:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: django-redis
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Scott Kitterman <scott@kitterman.com>,
  Michael Fladischer <fladi@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-redis
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-redis.git
 Homepage: https://github.com/niwinz/django-redis

=== debian/watch ===
version=4
https://pypi.debian.net/django-redis/django-redis-([0-9][0-9\.\-]*).tar.gz
